no libwxsqlite3-2.8-dev in 15.04 vivid

General discussions
Post Reply
mekanix
Posts: 210
Joined: Wed Sep 29, 2010 11:20 pm

no libwxsqlite3-2.8-dev in 15.04 vivid

Post by mekanix » Mon Mar 30, 2015 8:02 am

Hi Anonbeat

this is just to inform you that it seems that libwxsqlite3-2.8-dev has been discontinued in the last ubuntu version, and replaced with libwxsqlite3-3.0-dev.

Unfortunately, building guayadeque from source now gives a lot of errors.

mekanix
Posts: 210
Joined: Wed Sep 29, 2010 11:20 pm

no libwxsqlite3-2.8-dev in 15.04 vivid

Post by mekanix » Mon Mar 30, 2015 8:03 am

ooops.... sorry for the duplicates....

I can't delete the others

kinggo
Posts: 242
Joined: Thu Feb 09, 2012 5:54 am

no libwxsqlite3-2.8-dev in 15.04 vivid

Post by kinggo » Tue Apr 07, 2015 1:30 pm

+1
it is impossible to install on 15.04

Hreinsi
Posts: 92
Joined: Mon Oct 25, 2010 10:33 am

no libwxsqlite3-2.8-dev in 15.04 vivid

Post by Hreinsi » Tue Apr 07, 2015 4:45 pm

You can install from software center and set up svn version when it will be ready for 15.04.

kinggo
Posts: 242
Joined: Thu Feb 09, 2012 5:54 am

no libwxsqlite3-2.8-dev in 15.04 vivid

Post by kinggo » Wed Apr 08, 2015 3:29 am

except that one from the ubuntu repo doesn't work quite as it should.
I did that like an hour ago and so far I found that tag editing doesn't work and crash the player. Also the player itself doesn't show artist and title.

mekanix
Posts: 210
Joined: Wed Sep 29, 2010 11:20 pm

no libwxsqlite3-2.8-dev in 15.04 vivid

Post by mekanix » Wed Apr 08, 2015 4:42 am

The ppa hasn't been updated since trusty. so I have add this line

deb http://ppa.launchpad.net/anonbeat/guayadeque/ubuntu trusty main

to /etc/apt/sources.list.d/guayadeque.list

if you then update the repositories you can install guayadeque-svn, and it seems to work

kinggo
Posts: 242
Joined: Thu Feb 09, 2012 5:54 am

no libwxsqlite3-2.8-dev in 15.04 vivid

Post by kinggo » Wed Apr 08, 2015 9:46 am

And what about the things I mentioned?

mekanix
Posts: 210
Joined: Wed Sep 29, 2010 11:20 pm

no libwxsqlite3-2.8-dev in 15.04 vivid

Post by mekanix » Fri Apr 10, 2015 2:09 am

I've just tried to edit a couple of mp3 and I had no problems... the artist and title are also shown correctly.

kinggo
Posts: 242
Joined: Thu Feb 09, 2012 5:54 am

no libwxsqlite3-2.8-dev in 15.04 vivid

Post by kinggo » Fri Apr 10, 2015 4:01 am

THX, I'll try svn again then

kammon
Posts: 6
Joined: Wed May 13, 2015 8:23 pm

no libwxsqlite3-2.8-dev in 15.04 vivid

Post by kammon » Thu May 14, 2015 9:57 pm

I was able to compile 3.7.0 from source. Got libwxsqlite3-2.8 and libwxsqlite3-2.8-dev from Trusty's repo and the other dependencies from vivid's. Build successfully and able to edit tags without crashing, but switching tracks (click on another while playing one) crashes 100%. So I don't bother and delete it and reinstall 3.5 (the svn) which works totally. BTW you don't need to add the trusty ppa to sources.list. Just download the .deb click to install with gdebi.

Post Reply